aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYasuhiro Kimura <yasu@FreeBSD.org>2023-05-12 10:50:34 +0000
committerYasuhiro Kimura <yasu@FreeBSD.org>2023-05-13 06:36:09 +0000
commit1ece97c686ec56bb7376a6e40b5aef984b5bcb7d (patch)
tree8d48be6a81b4c10f11fdaea691aceffcaf113703
parent549ce14fc852e5ff66e614ed0a238b62e7d5423c (diff)
downloadports-1ece97c686ec56bb7376a6e40b5aef984b5bcb7d.tar.gz
ports-1ece97c686ec56bb7376a6e40b5aef984b5bcb7d.zip
devel/forge-devel: Change dependencies
Switch to use development versions of closql and emacsql. This fixes runtime error after update of this port to letest snapshot.
-rw-r--r--devel/forge-devel/Makefile9
1 files changed, 5 insertions, 4 deletions
diff --git a/devel/forge-devel/Makefile b/devel/forge-devel/Makefile
index eda8392b8a82..b6c8d3257b4f 100644
--- a/devel/forge-devel/Makefile
+++ b/devel/forge-devel/Makefile
@@ -2,6 +2,7 @@ PORTNAME= forge
DISTVERSIONPREFIX= v
DISTVERSION= 0.3.2-113
DISTVERSIONSUFFIX= -gd2bdd2c
+PORTREVISION= 1
CATEGORIES= devel elisp
PKGNAMESUFFIX= -devel${EMACS_PKGNAMESUFFIX}
@@ -12,19 +13,19 @@ WWW= https://github.com/magit/forge
LICENSE= GPLv3+
LICENSE_FILE= ${WRKSRC}/LICENSE
-BUILD_DEPENDS= closql${EMACS_PKGNAMESUFFIX}>=1.2.1:databases/closql@${EMACS_FLAVOR} \
+BUILD_DEPENDS= closql-devel${EMACS_PKGNAMESUFFIX}>=1.2.1:databases/closql-devel@${EMACS_FLAVOR} \
compat.el${EMACS_PKGNAMESUFFIX}>=29.1.3.4:misc/compat.el@${EMACS_FLAVOR} \
dash.el${EMACS_PKGNAMESUFFIX}>=2.19.1:devel/dash.el@${EMACS_FLAVOR} \
- emacsql${EMACS_PKGNAMESUFFIX}>=3.1.1:databases/emacsql@${EMACS_FLAVOR} \
+ emacsql-devel${EMACS_PKGNAMESUFFIX}>=3.1.1:databases/emacsql-devel@${EMACS_FLAVOR} \
ghub-devel${EMACS_PKGNAMESUFFIX}>=3.5.6:devel/ghub-devel@${EMACS_FLAVOR} \
magit-devel${EMACS_PKGNAMESUFFIX}>=3.3.0:devel/magit-devel@${EMACS_FLAVOR} \
markdown-mode.el${EMACS_PKGNAMESUFFIX}>=2.4:textproc/markdown-mode.el@${EMACS_FLAVOR} \
transient-devel${EMACS_PKGNAMESUFFIX}>=0.4.0:devel/transient-devel@${EMACS_FLAVOR} \
yaml.el${EMACS_PKGNAMESUFFIX}>=0.3.5:textproc/yaml.el@${EMACS_FLAVOR}
-RUN_DEPENDS= closql${EMACS_PKGNAMESUFFIX}>=1.2.1:databases/closql@${EMACS_FLAVOR} \
+RUN_DEPENDS= closql-devel${EMACS_PKGNAMESUFFIX}>=1.2.1:databases/closql-devel@${EMACS_FLAVOR} \
compat.el${EMACS_PKGNAMESUFFIX}>=29.1.3.4:misc/compat.el@${EMACS_FLAVOR} \
dash.el${EMACS_PKGNAMESUFFIX}>=2.19.1:devel/dash.el@${EMACS_FLAVOR} \
- emacsql${EMACS_PKGNAMESUFFIX}>=3.1.1:databases/emacsql@${EMACS_FLAVOR} \
+ emacsql-devel${EMACS_PKGNAMESUFFIX}>=3.1.1:databases/emacsql-devel@${EMACS_FLAVOR} \
ghub-devel${EMACS_PKGNAMESUFFIX}>=3.5.6:devel/ghub-devel@${EMACS_FLAVOR} \
magit-devel${EMACS_PKGNAMESUFFIX}>=3.3.0:devel/magit-devel@${EMACS_FLAVOR} \
markdown-mode.el${EMACS_PKGNAMESUFFIX}>=2.4:textproc/markdown-mode.el@${EMACS_FLAVOR} \